Subject: bug#79080: closed (Re: bug#79080: 31.0.50; report-emacs-bug-check-org errors with args-out-range)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 02 Aug 2025 13:32:02 +0000

Your bug report

#79080: 31.0.50; report-emacs-bug-check-org errors with args-out-range

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
79080: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=79080
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#79080: 31.0.50; report-emacs-bug-check-org errors with args-out-range
From: Eli Zaretskii <[email-masked]>
To: Antero Mejr <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 02 Aug 2025 16:31:46 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Antero Mejr <[email-masked]>
> Cc: Daniel Mendler <[email-masked]>,  [email-masked]
> Date: Sat, 26 Jul 2025 15:23:16 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Date: Wed, 23 Jul 2025 11:59:48 +0200
> >> From:  Daniel Mendler via "Bug reports for GNU Emacs,
> >>  the Swiss army knife of text editors" <[email-masked]>
> >> 
> >> While sending my last bug report I observed the following issue, where
> >> `report-emacs-bug-check-org' throws an `args-out-of-range' error. I've
> >> got the following stack trace:
> >> 
> > Antero, I think the bug here is in the assumption that the user edits
> > the original text inserted by report-emacs-bug only to _add_ text.
> > But that might not be true: users could remove some of the original
> > text as well.  So something like the below is in order.  But I also
> > wonder why we should look for the regular expression only in part of
> > the message to be sent.  Can you explain why you did that?
> 
> The Features: section of the original text contains the string " org ",
> which will match the regex and always flag a false positive.
> 
> The snippet you posted works but I think it will match that " org "
> feature if the user removes any of the original text.
> 
> I attached a patch that compares the number of matches in the original
> text to the edited text. This should avoid false positives unless the
> user deletes the " org " strings from the original text. And it will fix
> the error.

Thanks, now installed on the master branch, and closing the bug.

Subject: 31.0.50; report-emacs-bug-check-org errors with args-out-range
From: Daniel Mendler <[email-masked]>
To: [email-masked]
Date: Wed, 23 Jul 2025 11:59:48 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

While sending my last bug report I observed the following issue, where
`report-emacs-bug-check-org' throws an `args-out-of-range' error. I've
got the following stack trace:

Debugger entered--Lisp error: (args-out-of-range "From: Daniel Mendler <[email-masked]>\nTo: [email-masked]\nSubject: 31.0.50; Piped command output is sometimes lost in Eshell\nGcc: nnimap+privat:sent\nX-Debbugs-Cc: Jim Porter <[email-masked]>\n--text follows this line--\nHello,\n\nsometimes when executing commands in Eshell with pipes the output seems\nto get lost, for example:\n\ngit log | head -n 10 | cat\n\nInstead of the expected ten lines of output, there is no output. This\nproblem does not happen always, but from time to time, so maybe there is\nsome timing issue regarding the process handling? In case the issue does\nnot occur immediately one can try this:\n\nwhile true { echo \"test\"; git log | head -n 1 | cat }\n\nFor such loops the following error might occur:\n\nCreating pipe: Too many open files\nCannot redirect stderr: Too many open files, /dev/null\n\nI tested this with emacs -Q on Emacs 31 with a relatively recent commit\nfrom a few days ago (1e3d76af5a7a16682e71f9df46f6788c0880cccd).\n\nCan someone confirm these problems? Thanks!\n\nIn GNU Emacs 31.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version\n 3.24.49, cairo version 1.18.4) of 2025-07-15\nWindowing system distributor 'The X.Org Foundation', version 11.0.12101016\nSystem Description: Debian GNU/Linux 13 (trixie)\n\nConfigured using:\n 'configure --prefix=$HOME/.local/share/emacs\n --without-compress-install --with-tree-sitter --with-native-compilation\n --with-dbus --without-selinux --without-threads --disable-gc-mark-trace\n --without-gsettings --without-gpm --with-cairo --with-cairo-xcb\n --with-xinput2 --with-x-toolkit=gtk3 --without-toolkit-scroll-bars\n 'CFLAGS=-O3 -mtune=native -march=native''\n\nConfigured features:\nCAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS HARFBUZZ JPEG LIBOTF LIBSYSTEMD\nLIBXML2 MODULES NATIVE_COMP NOTIFY INOTIFY PDUMPER PNG RSVG SECCOMP\nSOUND SQLITE3 TIFF TREE_SITTER WEBP X11 XDBE XIM XINERAMA XINPUT2 XPM\nXRANDR GTK3 ZLIB" 0 7762)
  (report-emacs-bug-check-org)
  (report-emacs-bug-hook)
  (message-send nil)
  (message-send-and-exit nil)
  (funcall-interactively message-send-and-exit nil)
  (command-execute message-send-and-exit)

In GNU Emacs 31.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
 3.24.49, cairo version 1.18.4) of 2025-07-15
Windowing system distributor 'The X.Org Foundation', version 11.0.12101016
System Description: Debian GNU/Linux 13 (trixie)

Configured using:
 'configure --prefix=$HOME/.local/share/emacs
 --without-compress-install --with-tree-sitter --with-native-compilation
 --with-dbus --without-selinux --without-threads --disable-gc-mark-trace
 --without-gsettings --without-gpm --with-cairo --with-cairo-xcb
 --with-xinput2 --with-x-toolkit=gtk3 --without-toolkit-scroll-bars
 'CFLAGS=-O3 -mtune=native -march=native''

Configured features:
CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS HARFBUZZ JPEG LIBOTF LIBSYSTEMD
LIBXML2 MODULES NATIVE_COMP NOTIFY INOTIFY PDUMPER PNG RSVG SECCOMP
SOUND SQLITE3 TIFF TREE_SITTER WEBP X11 XDBE XIM XINERAMA XINPUT2 XPM
XRANDR GTK3 ZLIB